For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList agents
      • POSTCreate agent
      • POSTFetch external agent card
      • POSTRefresh cached agent card
      • GETGet agent details
      • PUTUpdate agent
      • DELDelete agent
      • GETExport agent for runtime
      • GETList agent executions
      • GETGet execution detail
      • GETList tool calls
      • GETGet tool call detail
      • POSTPublish agent
      • POSTAdd capability to agent
      • DELRemove capability from agent
Dashboard
LogoLogo
Runtype APIAgents

Create agent

POST
/v1/agents
POST
/v1/agents
$curl -X POST https://api.runtype.com/v1/agents \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "id": "string",
3 "userId": "string",
4 "organizationId": "string",
5 "name": "string",
6 "description": "string",
7 "icon": "string",
8 "primaryFlowId": "string",
9 "agentType": "string",
10 "config": {},
11 "externalConfig": {},
12 "claudeManagedConfig": {},
13 "healthStatus": "string",
14 "lastHealthCheckAt": "string",
15 "publishedVersionId": "string",
16 "status": "string",
17 "createdAt": "string",
18 "updatedAt": "string",
19 "draftVersionId": "string",
20 "capabilities": [
21 {
22 "id": "string",
23 "flowId": "string",
24 "subAgentId": "string",
25 "toolId": "string",
26 "toolName": "string",
27 "toolDescription": "string",
28 "enabled": true,
29 "displayOrder": 1,
30 "agentId": "string",
31 "parametersSchema": null,
32 "createdAt": "string"
33 }
34 ],
35 "dashboardUrl": "string",
36 "_warnings": [
37 "string"
38 ]
39}

Create a new agent with optional capabilities and configuration. Supports runtype, external, and claude_managed agent types.

Was this page helpful?
Previous

Fetch external agent card

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
namestringRequired>=1 character
descriptionstringOptional
iconstringOptional<=50 characters
agentTypeenumOptionalDefaults to runtype
Allowed values:
primaryFlowIdstring or nullOptional
externalConfigobjectOptional
claudeManagedConfigobjectOptional
configobjectOptional
maxTurnsintegerOptional1-100
capabilitieslist of objectsOptional

Response

Agent created
idstring
userIdstring
organizationIdstring or null
namestring
descriptionstring or null
iconstring or null
primaryFlowIdstring or null
agentTypestring
configmap from strings to any or null
externalConfigmap from strings to any or null
claudeManagedConfigmap from strings to any or null
healthStatusstring or null
lastHealthCheckAtstring or null
publishedVersionIdstring or null
statusstring
createdAtstring
updatedAtstring
draftVersionIdstring or null
capabilitieslist of objects
dashboardUrlstring
_warningslist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error